ImportError: Geen module met de naam pip

| | | | | | | | | | | | | | | | | | | |

OS: Mac OS X 10.7.5 Python Ver: 2.7.5

Ik heb setuptools 1.0 geïnstalleerd met ez_setup.py van https://pypi.python.org/pypi/setuptools Dan download ik pip.1.4.1 pkg van https://pypi.python.org/pypi/pip/1.4.1.

Uitvoeren (sudo) python setup.py install in iTerm laat zien dat

running install running bdist_egg running egg_info schrijfvereisten naar pip.egg-info/requires .txt schrijft pip.egg-info/PKG-INFO schrijft namen op het hoogste niveau naar pip.egg-info/top_level.txt schrijft dependency_links naar pip.egg-info/dependency_links.txt schrijft toegangspunten naar pip.egg-info/entry_points .txt-waarschuwing: manifest_maker: standaardbestand "setup.py" niet gevonden manifestbestand "pip.egg-info/SOURCES.txt" lezen manifestbestand "pip.egg-info/SOURCES.txt" schrijven bibliotheekcode voor build/bdist .macosx-10.6-in tel/egg draait install_lib waarschuwing: install_lib: "build/lib" bestaat niet -- geen Python-modules om te installeren build/bdist.macosx-10.6-intel/egg creëren build/bdist.macosx-10.6-intel/egg/EGG -INFO kopiëren pip.egg-info/PKG-INFO -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopiëren pip.egg-info/SOURCES.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopiëren pip.egg-info/dependency_links.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopiëren pip.egg-info/entry_points.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopiëren pip.egg-info/not-zip-safe -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopiëren pip.egg-info/requires.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO kopiëren pip.egg-info/top_level.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO door "dist/pip-1.4.1-py2.7.egg" aan te maken en "build/bdist.macosx-10.6-intel/egg" eraan toe te voegen door " build/bdist.macosx-10.6-intel/egg" (en alles daaronder) Verwerking pip-1.4.1-py2.7.egg verwijderen "/Users/dl/Library/Python/2.7/lib/python/site-packages /pip-1.4.1-py2.7.egg" (en alles daaronder) het maken van /Users/dl/Library/Python/2.7/lib/python/site-packages/pip-1.4.1-py2.7.egg Het extraheren van pip-1.4.1-py2.7.egg naar /Users/dl/Library/Python/2.7/lib/python/site-packages pip 1.4.1 is al de actieve versie in easy-install.pth Pip-script installeren op /Users/dl/Library/Python/2.7/bin Pip-2.7-script installeren in /Users/dl/Library/Python/2.7/bin Installed /Users/dl/Library/Python/2.7/lib/python/site-packages/ pip-1.4.1-py2.7.egg Verwerkingsafhankelijkheden voor pip==1.4.1 Voltooide verwerkingsafhankelijkheden voor pip==1.4.1 

Vervolgens heb ik pip install, de foutmelding werd zo weergegeven

Traceback (meest recente oproep laatst): Bestand "/Bibliotheek/Frameworks/Python.framework/Versions/2.7/bin/pip", regel 9, in <module> load_entry_point("pip==1.4.1", "console_scripts", "pip")() Bestand "build/bdist.macosx-10.6-intel/egg/pkg_resources.py", regel 357, in load_entry_point Bestand "build/bdist .macosx-10.6-intel/egg/pkg_resources.py", regel 2394, in load_entry_point bestand "build/bdist.macosx-10.6-intel/egg/pkg_resources.py", regel 2108, in load ImportError: Geen module met de naam pip 

Iedereen die hetzelfde probleem eerder is tegengekomen en me wat tips kan geven om het op te lossen?